Name:		rivwebcapi
Version:	1.0.0ea00
Release:	1%{?dist}
Summary:	Integration library for Rivendell
Group:		System Environment/Libraries
License:	GPLv2
Source0:	%{name}-%{version}.tar.gz
BuildRoot: 	/var/tmp/%{name}-1.0.0ea00


%package devel
Summary:        Development components for the Rivendell integration library
Group:		System Environment/Libraries
Requires:	rivwebcapi


%description
Rivwebcapi provides a C binding for the set of Rivendell web API methods,
allowing third-party applications to access a wide variety of services on
a Rivendell system.  Rivendell is a full featured radio automation targeted for
use in professional broadcast environments.


%description devel
These are the library components and headers required to develop application
for the rivwebcapi library.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%post
ldconfig


%postun
ldconfig


%files
%defattr(-,root,root,-)
%{_libdir}/librivwebcapi.so
%{_libdir}/librivwebcapi.so.0
%{_libdir}/librivwebcapi.so.0.1.1
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc NEWS
%doc README


%files devel
%{_includedir}/rivwebcapi/rd_addcart.h
%{_includedir}/rivwebcapi/rd_addcut.h
%{_includedir}/rivwebcapi/rd_addlog.h
%{_includedir}/rivwebcapi/rd_assignschedcode.h
%{_includedir}/rivwebcapi/rd_audioinfo.h
%{_includedir}/rivwebcapi/rd_audiostore.h
%{_includedir}/rivwebcapi/rd_copyaudio.h
%{_includedir}/rivwebcapi/rd_createticket.h
%{_includedir}/rivwebcapi/rd_deleteaudio.h
%{_includedir}/rivwebcapi/rd_deletelog.h
%{_includedir}/rivwebcapi/rd_editcart.h
%{_includedir}/rivwebcapi/rd_editcut.h
%{_includedir}/rivwebcapi/rd_export.h
%{_includedir}/rivwebcapi/rd_exportpeaks.h
%{_includedir}/rivwebcapi/rd_getuseragent.h
%{_includedir}/rivwebcapi/rd_getversion.h
%{_includedir}/rivwebcapi/rd_import.h
%{_includedir}/rivwebcapi/rd_listcart.h
%{_includedir}/rivwebcapi/rd_listcartschedcodes.h
%{_includedir}/rivwebcapi/rd_listcarts.h
%{_includedir}/rivwebcapi/rd_listcut.h
%{_includedir}/rivwebcapi/rd_listcuts.h
%{_includedir}/rivwebcapi/rd_listgroup.h
%{_includedir}/rivwebcapi/rd_listgroups.h
%{_includedir}/rivwebcapi/rd_listlog.h
%{_includedir}/rivwebcapi/rd_listlogs.h
%{_includedir}/rivwebcapi/rd_listschedcodes.h
%{_includedir}/rivwebcapi/rd_listservices.h
%{_includedir}/rivwebcapi/rd_listsystemsettings.h
%{_includedir}/rivwebcapi/rd_savelog.h
%{_includedir}/rivwebcapi/rd_cart.h
%{_includedir}/rivwebcapi/rd_common.h
%{_includedir}/rivwebcapi/rd_cut.h
%{_includedir}/rivwebcapi/rd_group.h
%{_includedir}/rivwebcapi/rd_schedcodes.h
%{_includedir}/rivwebcapi/rd_removecart.h
%{_includedir}/rivwebcapi/rd_removecut.h
%{_includedir}/rivwebcapi/rd_trimaudio.h
%{_includedir}/rivwebcapi/rd_unassignschedcode.h
%{_libdir}/pkgconfig/rivwebcapi.pc
%{_libdir}/librivwebcapi.a
%{_libdir}/librivwebcapi.la
%{_mandir}/man7/rd_addcart.7.gz
%{_mandir}/man7/rd_addcut.7.gz
%{_mandir}/man7/rd_addlog.7.gz
%{_mandir}/man7/rd_assignschedcode.7.gz
%{_mandir}/man7/rd_audioinfo.7.gz
%{_mandir}/man7/rd_audiostore.7.gz
%{_mandir}/man7/rd_copyaudio.7.gz
%{_mandir}/man7/rd_createticket.7.gz
%{_mandir}/man7/rd_deleteaudio.7.gz
%{_mandir}/man7/rd_deletelog.7.gz
%{_mandir}/man7/rd_editcart.7.gz
%{_mandir}/man7/rd_editcut.7.gz
%{_mandir}/man7/rd_export.7.gz
%{_mandir}/man7/rd_exportpeaks.7.gz
%{_mandir}/man7/rd_getuseragent.7.gz
%{_mandir}/man7/rd_getversion.7.gz
%{_mandir}/man7/rd_import.7.gz
%{_mandir}/man7/rd_listcart.7.gz
%{_mandir}/man7/rd_listcarts.7.gz
%{_mandir}/man7/rd_listcartschedcodes.7.gz
%{_mandir}/man7/rd_listcut.7.gz
%{_mandir}/man7/rd_listcuts.7.gz
%{_mandir}/man7/rd_listgroup.7.gz
%{_mandir}/man7/rd_listgroups.7.gz
%{_mandir}/man7/rd_listlog.7.gz
%{_mandir}/man7/rd_listlogs.7.gz
%{_mandir}/man7/rd_listschedcodes.7.gz
%{_mandir}/man7/rd_listservices.7.gz
%{_mandir}/man7/rd_listsystemsettings.7.gz
%{_mandir}/man7/rd_removecart.7.gz
%{_mandir}/man7/rd_removecut.7.gz
%{_mandir}/man7/rd_savelog.7.gz
%{_mandir}/man7/rd_trimaudio.7.gz
%{_mandir}/man7/rd_unassignschedcode.7.gz


%changelog
* Wed Nov  2 2016 Fred Gleason <fredg@paravelsystems.com>
-- Fixed typos in 'devel' file list.
* Tue Nov 17 2015 Fred Gleason <fredg@paravelsystems.com>
-- Initial packaging.
